Package org.lwjgl.opengl

# Class ARBInternalformatQuery2

java.lang.Object
org.lwjgl.opengl.ARBInternalformatQuery2

public final class ARBInternalformatQuery2 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_AUTO_GENERATE_MIPMAP`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_CAVEAT_SUPPORT`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_CLEAR_BUFFER`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_COLOR_COMPONENTS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_COLOR_ENCODING`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_COLOR_RENDERABLE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_COMPUTE_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_DEPTH_COMPONENTS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_DEPTH_RENDERABLE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_FILTER`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_FRAGMENT_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_FRAMEBUFFER_BLEND`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_FRAMEBUFFER_RENDERABLE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_FRAMEBUFFER_RENDERABLE_LAYERED`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_FULL_SUPPORT`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_GEOMETRY_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_GET_TEXTURE_IMAGE_FORMAT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_GET_TEXTURE_IMAGE_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_IMAGE_CLASS_1_X_16`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_1_X_32`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_1_X_8`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_10_10_10_2`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_11_11_10`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_2_X_16`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_2_X_32`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_2_X_8`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_4_X_16`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_4_X_32`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_4_X_8`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_COMPATIBILITY_CLASS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_IMAGE_FORMAT_COMPATIBILITY_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_IMAGE_PIXEL_FORMAT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_IMAGE_PIXEL_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_IMAGE_TEXEL_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_ALPHA_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_ALPHA_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_BLUE_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_BLUE_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_DEPTH_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_DEPTH_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_GREEN_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_GREEN_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_PREFERRED`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_RED_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_RED_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_SHARED_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_STENCIL_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_STENCIL_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_SUPPORTED`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MANUAL_GENERATE_MIPMAP`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MAX_COMBINED_DIMENSIONS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MAX_DEPTH`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MAX_HEIGHT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MAX_LAYERS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MAX_WIDTH`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MIPMAP`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_NUM_SAMPLE_COUNTS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_READ_PIXELS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_READ_PIXELS_FORMAT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_READ_PIXELS_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_RENDERBUFFER`
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SHADER_IMAGE_ATOMIC`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SHADER_IMAGE_LOAD`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SHADER_IMAGE_STORE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SRGB_DECODE_ARB`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SRGB_READ`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SRGB_WRITE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_STENCIL_COMPONENTS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_STENCIL_RENDERABLE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TESS_CONTROL_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TESS_EVALUATION_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_1D_ARRAY`
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_2D_ARRAY`
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_2D_MULTISAMPLE`
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_2D_MULTISAMPLE_ARRAY`
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_BUFFER`
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_COMPRESSED_BLOCK_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_COMPRESSED_BLOCK_WIDTH`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_CUBE_MAP_ARRAY`
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_GATHER`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_GATHER_SHADOW`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_IMAGE_FORMAT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_IMAGE_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_RECTANGLE`
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_SHADOW`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_VIEW`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_VERTEX_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_VIEW_CLASS_128_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_16_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_24_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_32_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_48_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_64_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_8_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_96_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_BPTC_FLOAT`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_BPTC_UNORM`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_RGTC1_RED`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_RGTC2_RG`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_S3TC_DXT1_RGB`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_S3TC_DXT1_RGBA`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_S3TC_DXT3_RGBA`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_S3TC_DXT5_RGBA`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_COMPATIBILITY_CLASS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetInternalformat(int target, int internalformat, int pname, LongBuffer params)`
`static long`
`glGetInternalformati64(int target, int internalformat, int pname)`
Overloads glGetInternalformati64v.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_1D_ARRAY

public static final int GL_TEXTURE_1D_ARRAY
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_2D_ARRAY

public static final int GL_TEXTURE_2D_ARRAY
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_CUBE_MAP_ARRAY

public static final int GL_TEXTURE_CUBE_MAP_ARRAY
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_RECTANGLE

public static final int GL_TEXTURE_RECTANGLE
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_BUFFER

public static final int GL_TEXTURE_BUFFER
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER

public static final int GL_RENDERBUFFER
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_2D_MULTISAMPLE

public static final int GL_TEXTURE_2D_MULTISAMPLE
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_2D_MULTISAMPLE_ARRAY

public static final int GL_TEXTURE_2D_MULTISAMPLE_ARRAY
Accepted by the <target> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_NUM_SAMPLE_COUNTS

public static final int GL_NUM_SAMPLE_COUNTS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_SUPPORTED

public static final int GL_INTERNALFORMAT_SUPPORTED
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_PREFERRED

public static final int GL_INTERNALFORMAT_PREFERRED
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_RED_SIZE

public static final int GL_INTERNALFORMAT_RED_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_GREEN_SIZE

public static final int GL_INTERNALFORMAT_GREEN_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_BLUE_SIZE

public static final int GL_INTERNALFORMAT_BLUE_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_ALPHA_SIZE

public static final int GL_INTERNALFORMAT_ALPHA_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_DEPTH_SIZE

public static final int GL_INTERNALFORMAT_DEPTH_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_STENCIL_SIZE

public static final int GL_INTERNALFORMAT_STENCIL_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_SHARED_SIZE

public static final int GL_INTERNALFORMAT_SHARED_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_RED_TYPE

public static final int GL_INTERNALFORMAT_RED_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_GREEN_TYPE

public static final int GL_INTERNALFORMAT_GREEN_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_BLUE_TYPE

public static final int GL_INTERNALFORMAT_BLUE_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_ALPHA_TYPE

public static final int GL_INTERNALFORMAT_ALPHA_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_DEPTH_TYPE

public static final int GL_INTERNALFORMAT_DEPTH_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_STENCIL_TYPE

public static final int GL_INTERNALFORMAT_STENCIL_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MAX_WIDTH

public static final int GL_MAX_WIDTH
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MAX_HEIGHT

public static final int GL_MAX_HEIGHT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MAX_DEPTH

public static final int GL_MAX_DEPTH
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MAX_LAYERS

public static final int GL_MAX_LAYERS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_DIMENSIONS

public static final int GL_MAX_COMBINED_DIMENSIONS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_COLOR_COMPONENTS

public static final int GL_COLOR_COMPONENTS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_DEPTH_COMPONENTS

public static final int GL_DEPTH_COMPONENTS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_STENCIL_COMPONENTS

public static final int GL_STENCIL_COMPONENTS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_COLOR_RENDERABLE

public static final int GL_COLOR_RENDERABLE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_DEPTH_RENDERABLE

public static final int GL_DEPTH_RENDERABLE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_STENCIL_RENDERABLE

public static final int GL_STENCIL_RENDERABLE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_RENDERABLE

public static final int GL_FRAMEBUFFER_RENDERABLE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_RENDERABLE_LAYERED

public static final int GL_FRAMEBUFFER_RENDERABLE_LAYERED
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_BLEND

public static final int GL_FRAMEBUFFER_BLEND
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_READ_PIXELS

public static final int GL_READ_PIXELS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_READ_PIXELS_FORMAT

public static final int GL_READ_PIXELS_FORMAT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_READ_PIXELS_TYPE

public static final int GL_READ_PIXELS_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_IMAGE_FORMAT

public static final int GL_TEXTURE_IMAGE_FORMAT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_IMAGE_TYPE

public static final int GL_TEXTURE_IMAGE_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_GET_TEXTURE_IMAGE_FORMAT

public static final int GL_GET_TEXTURE_IMAGE_FORMAT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_GET_TEXTURE_IMAGE_TYPE

public static final int GL_GET_TEXTURE_IMAGE_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MIPMAP

public static final int GL_MIPMAP
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MANUAL_GENERATE_MIPMAP

public static final int GL_MANUAL_GENERATE_MIPMAP
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_AUTO_GENERATE_MIPMAP

public static final int GL_AUTO_GENERATE_MIPMAP
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_COLOR_ENCODING

public static final int GL_COLOR_ENCODING
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SRGB_READ

public static final int GL_SRGB_READ
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SRGB_WRITE

public static final int GL_SRGB_WRITE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SRGB_DECODE_ARB

public static final int GL_SRGB_DECODE_ARB
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FILTER

public static final int GL_FILTER
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_VERTEX_TEXTURE

public static final int GL_VERTEX_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_TEXTURE

public static final int GL_TESS_CONTROL_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TESS_EVALUATION_TEXTURE

public static final int GL_TESS_EVALUATION_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_GEOMETRY_TEXTURE

public static final int GL_GEOMETRY_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FRAGMENT_TEXTURE

public static final int GL_FRAGMENT_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_COMPUTE_TEXTURE

public static final int GL_COMPUTE_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_SHADOW

public static final int GL_TEXTURE_SHADOW
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_GATHER

public static final int GL_TEXTURE_GATHER
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_GATHER_SHADOW

public static final int GL_TEXTURE_GATHER_SHADOW
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SHADER_IMAGE_LOAD

public static final int GL_SHADER_IMAGE_LOAD
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SHADER_IMAGE_STORE

public static final int GL_SHADER_IMAGE_STORE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SHADER_IMAGE_ATOMIC

public static final int GL_SHADER_IMAGE_ATOMIC
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_IMAGE_TEXEL_SIZE

public static final int GL_IMAGE_TEXEL_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_IMAGE_COMPATIBILITY_CLASS

public static final int GL_IMAGE_COMPATIBILITY_CLASS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_IMAGE_PIXEL_FORMAT

public static final int GL_IMAGE_PIXEL_FORMAT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_IMAGE_PIXEL_TYPE

public static final int GL_IMAGE_PIXEL_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_IMAGE_FORMAT_COMPATIBILITY_TYPE

public static final int GL_IMAGE_FORMAT_COMPATIBILITY_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST

public static final int GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST

public static final int GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE

public static final int GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE

public static final int GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSED_BLOCK_WIDTH

public static final int GL_TEXTURE_COMPRESSED_BLOCK_WIDTH
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT

public static final int GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSED_BLOCK_SIZE

public static final int GL_TEXTURE_COMPRESSED_BLOCK_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_CLEAR_BUFFER

public static final int GL_CLEAR_BUFFER
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_VIEW

public static final int GL_TEXTURE_VIEW
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_VIEW_COMPATIBILITY_CLASS

public static final int GL_VIEW_COMPATIBILITY_CLASS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FULL_SUPPORT

public static final int GL_FULL_SUPPORT
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_CAVEAT_SUPPORT

public static final int GL_CAVEAT_SUPPORT
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_4_X_32

public static final int GL_IMAGE_CLASS_4_X_32
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_2_X_32

public static final int GL_IMAGE_CLASS_2_X_32
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_1_X_32

public static final int GL_IMAGE_CLASS_1_X_32
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_4_X_16

public static final int GL_IMAGE_CLASS_4_X_16
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_2_X_16

public static final int GL_IMAGE_CLASS_2_X_16
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_1_X_16

public static final int GL_IMAGE_CLASS_1_X_16
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_4_X_8

public static final int GL_IMAGE_CLASS_4_X_8
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_2_X_8

public static final int GL_IMAGE_CLASS_2_X_8
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_1_X_8

public static final int GL_IMAGE_CLASS_1_X_8
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_11_11_10

public static final int GL_IMAGE_CLASS_11_11_10
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_10_10_10_2

public static final int GL_IMAGE_CLASS_10_10_10_2
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_128_BITS

public static final int GL_VIEW_CLASS_128_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_96_BITS

public static final int GL_VIEW_CLASS_96_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_64_BITS

public static final int GL_VIEW_CLASS_64_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_48_BITS

public static final int GL_VIEW_CLASS_48_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_32_BITS

public static final int GL_VIEW_CLASS_32_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_24_BITS

public static final int GL_VIEW_CLASS_24_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_16_BITS

public static final int GL_VIEW_CLASS_16_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_8_BITS

public static final int GL_VIEW_CLASS_8_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_S3TC_DXT1_RGB

public static final int GL_VIEW_CLASS_S3TC_DXT1_RGB
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_S3TC_DXT1_RGBA

public static final int GL_VIEW_CLASS_S3TC_DXT1_RGBA
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_S3TC_DXT3_RGBA

public static final int GL_VIEW_CLASS_S3TC_DXT3_RGBA
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_S3TC_DXT5_RGBA

public static final int GL_VIEW_CLASS_S3TC_DXT5_RGBA
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_RGTC1_RED

public static final int GL_VIEW_CLASS_RGTC1_RED
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_RGTC2_RG

public static final int GL_VIEW_CLASS_RGTC2_RG
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_BPTC_UNORM

public static final int GL_VIEW_CLASS_BPTC_UNORM
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_BPTC_FLOAT

public static final int GL_VIEW_CLASS_BPTC_FLOAT
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

## Method Details

### glGetInternalformat

public static void glGetInternalformat(int target, int internalformat, int pname, LongBuffer params)

### glGetInternalformati64

public static long glGetInternalformati64(int target, int internalformat, int pname)
Overloads glGetInternalformati64v.